## SoupHSTSEnforcerDB SoupHSTSEnforcerDB — Persistent HTTP Strict Transport Security enforcer |

## Functions

SoupHSTSEnforcer * | soup_hsts_enforcer_db_new ()

## Properties

char * | filename | Read / Write / Construct Only

## Types and Values

| SoupHSTSEnforcerDB

## Object Hierarchy

        GObject
        ╰── SoupHSTSEnforcer
            ╰── SoupHSTSEnforcerDB

## Implemented Interfaces

SoupHSTSEnforcerDB implements SoupSessionFeature.

## Includes

    #include <libsoup/soup.h>

## Description

SoupHSTSEnforcerDB is a SoupHSTSEnforcer that uses a SQLite database as a backend for persistency.

## Functions

### soup_hsts_enforcer_db_new ()

    SoupHSTSEnforcer *
    soup_hsts_enforcer_db_new (const char *filename);

Creates a SoupHSTSEnforcerDB.

`filename` will be read in during the initialization of a SoupHSTSEnforcerDB, in order to create an initial set of HSTS policies. If the file doesn't exist, a new database will be created and initialized. Changes to the policies during the lifetime of a SoupHSTSEnforcerDB will be written to `filename` when “changed” is emitted.

#### Parameters

filename | the filename of the database to read/write from. |

#### Returns

the new SoupHSTSEnforcer

## Types and Values

### SoupHSTSEnforcerDB

    typedef struct _SoupHSTSEnforcerDB SoupHSTSEnforcerDB;

Subclass of SoupHSTSEnforcer using an sqlite database.

## Property Details

### The `“filename”` property

      “filename”                 char *

The filename of the SQLite database where HSTS policies are stored.

Owner: SoupHSTSEnforcerDB

Flags: Read / Write / Construct Only

Default value: NULL